# OpenIdExtensionSreg Class Reference
[OpenId implementation]

Inheritance diagram for OpenIdExtensionSreg:
[legend]

List of all members.

## Public Member Functions

| addParamsToModel (Model $model)
| parseResponce (HttpRequest $request, array $params)
| getVersion ()
| addParam ($paramName)
| dropParams ()
| setVersion ($version)
| getNickname ()
| getEmail ()
| getFullname ()
| getDateOfBirth ()
| getGender ()
| getPostcode ()
| getCountry ()
| getLanguage ()
| getTimezone ()

## Static Public Member Functions

static | create ()

## Public Attributes

const | NAMESPACE_1_1 = "http://openid.net/extensions/sreg/1.1"
const | PARAM_NICKNAME = 'nickname'
const | PARAM_EMAIL = 'email'
const | PARAM_FULLNAME = 'fullname'
const | PARAM_DATE_OF_BIRTH = 'dob'
const | PARAM_GENDER = 'gender'
const | PARAM_POSTCODE = 'postcode'
const | PARAM_COUNTRY = 'country'
const | PARAM_LANGUAGE = 'language'
const | PARAM_TIMEZONE = 'timezone'

## Private Attributes

| $params = array()
| $version = '1.1'
| $nickname = null
| $email = null
| $fullname = null
| $dob = null
| $gender = null
| $postcode = null
| $country = null
| $language = null
| $timezone = null

## Detailed Description

See also:
  http://openid.net/specs/openid-simple-registration-extension-1_1-01.html,
  http://openid.net/specs/openid-simple-registration-extension-1_0.html

Definition at line 18 of file OpenIdExtensionSreg.class.php.

## Member Function Documentation

OpenIdExtensionSreg::addParam | ( | $ | paramName | ) |

Parameters:

  | string | $paramName

Returns:
  OpenIdExtensionSreg

Definition at line 88 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::addParamsToModel | ( | Model $ | model | ) |

Parameters:

  | Model | $model

Implements OpenIdExtension.

Definition at line 55 of file OpenIdExtensionSreg.class.php.

References Model::set().

Here is the call graph for this function:

static OpenIdExtensionSreg::create | ( |  | ) | `[static]`

Returns:
  OpenIdExtensionSreg

Definition at line 47 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::dropParams | ( |  | ) |

Returns:
  OpenIdExtensionSreg

Definition at line 98 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getCountry | ( |  | ) |

Definition at line 146 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getDateOfBirth | ( |  | ) |

Definition at line 131 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getEmail | ( |  | ) |

Definition at line 121 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getFullname | ( |  | ) |

Definition at line 126 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getGender | ( |  | ) |

Definition at line 136 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getLanguage | ( |  | ) |

Definition at line 151 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getNickname | ( |  | ) |

Definition at line 116 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getPostcode | ( |  | ) |

Definition at line 141 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getTimezone | ( |  | ) |

Definition at line 156 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::getVersion | ( |  | ) |

Definition at line 79 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::parseResponce | ( | HttpRequest $ | request,
|  | array $ | params |
| ) |  |  |

Parameters:

  | HttpRequest | $request
  | array | $params

Implements OpenIdExtension.

Definition at line 69 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::setVersion | ( | $ | version | ) |

Parameters:

  | string | $version

Returns:
  OpenIdExtensionSreg

Definition at line 109 of file OpenIdExtensionSreg.class.php.

References $version.

## Member Data Documentation

OpenIdExtensionSreg::$country = null`[private]`

Definition at line 40 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$dob = null`[private]`

Definition at line 37 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$email = null`[private]`

Definition at line 35 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$fullname = null`[private]`

Definition at line 36 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$gender = null`[private]`

Definition at line 38 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$language = null`[private]`

Definition at line 41 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$nickname = null`[private]`

Definition at line 34 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$params = array()`[private]`

Definition at line 32 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$postcode = null`[private]`

Definition at line 39 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$timezone = null`[private]`

Definition at line 42 of file OpenIdExtensionSreg.class.php.

OpenIdExtensionSreg::$version = '1.1'`[private]`

Definition at line 33 of file OpenIdExtensionSreg.class.php.

Referenced by setVersion().

const OpenIdExtensionSreg::NAMESPACE_1_1 = "http://openid.net/extensions/sreg/1.1"

Definition at line 20 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_COUNTRY = 'country'

Definition at line 28 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_DATE_OF_BIRTH = 'dob'

Definition at line 25 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_EMAIL = 'email'

Definition at line 23 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_FULLNAME = 'fullname'

Definition at line 24 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_GENDER = 'gender'

Definition at line 26 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_LANGUAGE = 'language'

Definition at line 29 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_NICKNAME = 'nickname'

Definition at line 22 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_POSTCODE = 'postcode'

Definition at line 27 of file OpenIdExtensionSreg.class.php.

const OpenIdExtensionSreg::PARAM_TIMEZONE = 'timezone'

Definition at line 30 of file OpenIdExtensionSreg.class.php.

The documentation for this class was generated from the following file:

- main/OpenId/OpenIdExtensionSreg.class.php